import { ViewContainerRef } from '@angular/core';
import { AlertComponent } from './alert';
import { ConfirmComponent } from './confirm';
import { DynamicComponentService } from '../overlay/dynamic-component.service';
export declare class DialogService {
    private viewContainerRef;
    private dynamicComponentService;
    private dialogInstance;
    constructor(viewContainerRef: ViewContainerRef, dynamicComponentService: DynamicComponentService<AlertComponent | ConfirmComponent>);
    createOverlay(type: any, content: any, title: any): Promise<{}>;
    createConfirmOverlay(content: any, title: any): Promise<{}>;
    info(content: string, title: string): Promise<{}>;
    error(content: string, title: string): Promise<{}>;
    success(content: string, title: string): Promise<{}>;
    confirm(content: string, title: string): Promise<{}>;
    dispose(): void;
}
